%define	name	epplets
%define	dname	Epplets
%define	fname	epplet-base
%define	version	0.5
%define	release	1
%define	serial	2
%define	prefix	/usr

%define	eroot	%{prefix}/share/enlightenment
%define	ebin	%{prefix}/bin

Summary:	Applets for enlightenment.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		User Interface/Desktops
URL:		http://www.enlightenment.org
Vendor:		http://www.enlightenment.org
Source:		ftp://ftp.enlightenment.org/enlightenment/epplets/%{fname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}

Conflicts:	Epplets, epplet-base
Requires:	enlightenment >= 0.16.0

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
An epplet is an applet designed specificly for use with enlightenment
This packages contains the base API libs and several epplets; two cpu
load meters, two clocks, a network load monitor, aswell as a E-Biff

%prep
%setup -q -n %{dname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" \
EROOT=%{eroot} \
EBIN=%{ebin} \
./configure --prefix=%{prefix}

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc ChangeLog
/usr/bin/*.epplet
%dir /usr/share/enlightenment/epplet_data
/usr/share/enlightenment/epplet_data/*
%dir /usr/share/enlightenment/epplet_icons
/usr/share/enlightenment/epplet_icons/*

# API files
/usr/include/epplet.h
/usr/lib/libepplet.a
/usr/lib/libepplet.so
/usr/lib/libepplet.so.*

%changelog
* Wed Jan  5 2000 Ryan Weaver <ryanw@infohwy.com>
  [epplets-0.5-1]
- Updated to epplets 0.5 final. See ChangeLog for details.

